/*
 * Copyright 2007 Kickmogu Co. Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */



/*
 * 作成日: 2006/12/05
 *
 */
package com.kickmogu.rhythm.core;

public class Address {
	public final static String UNIQ_KEYNAME = "rhtym address id";

	public final static int KIND_HOME = 1;
	public final static int KIND_OFFICE = 2;

	private int id;
	private int kind;
	private String zip;
	private int prefecture;
	private String city;
	private String address;
	private String comment;
	/**
	 * @return address を戻します。
	 */
	public String getAddress() {
		return address;
	}
	/**
	 * @param address address を設定。
	 */
	public void setAddress(String address) {
		this.address = address;
	}
	/**
	 * @return city を戻します。
	 */
	public String getCity() {
		return city;
	}
	/**
	 * @param city city を設定。
	 */
	public void setCity(String city) {
		this.city = city;
	}
	/**
	 * @return comment を戻します。
	 */
	public String getComment() {
		return comment;
	}
	/**
	 * @param comment comment を設定。
	 */
	public void setComment(String comment) {
		this.comment = comment;
	}
	/**
	 * @return id を戻します。
	 */
	public int getId() {
		return id;
	}
	/**
	 * @param id id を設定。
	 */
	public void setId(int id) {
		this.id = id;
	}
	/**
	 * @return kind を戻します。
	 */
	public int getKind() {
		return kind;
	}
	/**
	 * @param kind kind を設定。
	 */
	public void setKind(int kind) {
		this.kind = kind;
	}
	/**
	 * @return prefecture を戻します。
	 */
	public int getPrefecture() {
		return prefecture;
	}
	/**
	 * @param prefecture prefecture を設定。
	 */
	public void setPrefecture(int prefecture) {
		this.prefecture = prefecture;
	}
	/**
	 * @return zip を戻します。
	 */
	public String getZip() {
		return zip;
	}
	/**
	 * @param zip zip を設定。
	 */
	public void setZip(String zip) {
		this.zip = zip;
	}
}
